EDIT - feature request #8294

Make display of ID in source and ID Namespace configurable
05/22/2019 12:57 PM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.8

Severity: normal

Description

The display of ID in Source and ID Namespace should be configurable, the preference predicates are available already but the
preference pages need to be implemented.

Related issues:

Related to EDIT - feature request #7793: Master ticket for E+M editor issues Closed
Related to EDIT - feature request #8777: Make visiblity of CDM Source configu... Resolved
Copied to EDIT - bug #8382: Local Supplemental Data Source Preferences should... Closed

Associated revisions

Revision 011¢997b - 05/23/2019 11:37 AM - Andreas Miiller
adapt IdNamespace predicate a bit #8294

Revision a4f3f99c - 06/28/2019 11:47 AM - Katja Luther

ref #8294: add preference page for id in namespace and namespace in source

Revision 31457bf1 - 07/17/2019 01:19 PM - Patrick Plitzner
ref #8294 code cleaning

Revision 456115¢5 - 07/17/2019 01:52 PM - Patrick Plitzner
ref #8294 Add missing "Show UUID/ID" option to preference

Revision b91b98c5 - 07/17/2019 02:27 PM - Patrick Plitzner

ref #8294 Move supplemental data source preferences to sub menu

Revision 660c3f90 - 07/17/2019 06:30 PM - Patrick Plitzner
ref #8294 Swap showldInSource and ShowldNamespace

Revision 7ec03c92 - 07/18/2019 12:38 PM - Patrick Plitzner
ref #8294 i18n

Revision ddaac84e - 07/18/2019 12:49 PM - Patrick Plitzner
ref #8294 i18n for plugin.xml

History

#1 - 05/23/2019 11:14 AM - Andreas Miiller

- Status changed from New to Feedback

This issue is already mentioned in #7793 and it seems to be fixed (but maybe not yet available in Admin Ul).

#2 - 05/23/2019 11:31 AM - Andreas Miiller
- File picture299-1.png added

The current implementation does not seem to work. | tried with
https://dev.e-taxonomy.eu/redmine/issues/7793

| CdmPreference (4x2)

¢ key_predicate ¢ key_subject allowOverride  value
sourceDetails.IdInSource Jtaxeditor/ 0 true
sourceDetails.NameInSource Jtaxeditor/ 0 true

but still got both Id in Source and Id Namespace even after restart (tested on E+M production)

#3 - 05/23/2019 11:33 AM - Andreas Miiller

When fixing please also rename predicate NamelnSource. It should be IdNamespace. Also we may rename the predicate in the predicate enum from
ShowNamespacelnSource -> ShowldNamespace

#4 - 06/03/2019 11:16 AM - Andreas Miiller
- Related to feature request #7793: Master ticket for E+M editor issues added

#5 - 07/01/2019 01:41 PM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

please review

#6 - 07/15/2019 03:19 PM - Patrick Plitzner
- File picture777-1.png added
- % Done changed from 0 to 70

Tested on nightly: The admin and local preferences work as expected BUT they seem to be swapped. Also the one preferences was not renamed
(see picture)

# key_predicate key subject allowOverride @ value

1 model.editor. NDWV f 1 simpleViewActivated:false;taxon:fal...
2 commonname.area.voc haxeditor/ 1 e72cbch6-5818-4201-9774-15d0c6. ..
3 sourceDetails.NamelnSource ftaxeditor/ 1 false

4 sourceDetails.IdInSource haxeditor/ 1 false

=

#7 - 07/16/2019 05:47 PM - Andreas Miiller
- File picture232-1.png added

yes, it is switched and also in both views it is called "ID in Namespace" but should be "ID Namespace". Also ID Namespace should be below ID in
Source in both preference Uls.

Critical:

Show UUID and ID is not available in local preference but it was before:

e Preterences [= 1" =
4 Local Preferences Supplemental Data
Debugging
b Experimental Features []Show UUID and chject ID in supplernental data view

External Services
I+ Factual Data
General
I+ Language
I Mames
I+ Search
Specimens
4| 5Supplemental Data
Extension Types
Marker
=> we should move the new parameters to the submenu "Sources" as it exists for "extensions" and "marker" and keep the old top level page which

has "Show UUID and ID ..."

#8 - 07/16/2019 05:51 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Patrick Plitzner

Patrick, can you try to fix the open issues?

#9 - 07/17/2019 06:45 PM - Patrick Plitzner
- Status changed from Feedback to Resolved

- Assignee changed from Patrick Plitzner to Andreas Muiller

All issues should be fixed now.

What still would be nice is if the disabled local preferences would reflect the state of the admin preferences. Now they are just disabled showing the
state of the local preference. This is done correctly e.g. in the specimen preferences -> #8382

#10 - 07/17/2019 08:48 PM - Andreas Miiller

- Copied to bug #8382: Local Supplemental Data Source Preferences should reflect the state of admin preferences added

#11 - 07/18/2019 12:06 PM - Andreas Miiller

Server side preferences are not yet translated (Submenu Sources and Labels on page) (update code before changing as | did change the label for ID

Namespace.

#12 - 07/18/2019 12:08 PM - Andreas Miiller

- Assignee changed from Andreas Miiller to Patrick Plitzner

same in local preference (if this is different code)

#13 - 07/18/2019 12:12 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- % Done changed from 70 to 80

All the rest seems to work and looks ok.

#14 - 07/18/2019 12:13 PM - Andreas Miiller

- Tags set to euro+med

#15 - 07/18/2019 12:51 PM - Patrick Plitzner
- Status changed from Feedback to Closed
- % Done changed from 80 to 100

translated preferences. Closing the ticket.

#16 - 12/17/2019 03:02 PM - Andreas Miiller

- Related to feature request #8777: Make visiblity of CDM Source configurable added
